/* Fall 2022 Lab 10a
	Nicholas Graziani
	lab section 007
	11.13.2022
   Create the flag of Ireland using multiple files
*/


#ifndef DEFS_H
#define DEFS_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

typedef struct Header{
	char mode[3];
	int height, width, maxColor;
}header_t;


typedef struct Pixel{
   unsigned int r;
	unsigned int g;
	unsigned int b;
}pixel_t;
	

header_t getHeader();
//int getWidth();
void writeHeader(header_t header);
void fillImageArray(pixel_t flagArray[], int functionwidth, int functionheight);
void writePixels(pixel_t flagArray[], int functionwidth, int functionheight);

#endif
